
package de.ivu.elect.business.niederschrift.boundary;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import de.ivu.elect.business.niederschrift.entity.NiederschriftStatusAenderung;
import de.ivu.elect.business.niederschrift.entity.NiederschriftStatusAenderungByZeitstempelComparator;

public class NiederschriftStatusAenderungSearch extends AbstractNiederschriftStatusAenderungSearch {

  private static final Comparator< ? super NiederschriftStatusAenderung> DEFAULT_COMPARATOR = NiederschriftStatusAenderungByZeitstempelComparator.ASCENDING;

  public NiederschriftStatusAenderungSearch() {
    super();
  }

  @Override
  protected List<NiederschriftStatusAenderung> querySearchResult(NiederschriftStatusAenderungSearchParameters searchParameters) {
    List<NiederschriftStatusAenderung> result = new ArrayList<>(searchParameters.getNiederschrift().getNiederschriftStatusAenderungen());
    Collections.sort(result, DEFAULT_COMPARATOR);

    return result;
  }
}
